commit:     cf76762c1faf6f8095dd26570b5b15d32384d475
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  2 18:09:58 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Aug  2 21:33:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf76762c

games-board/pychess: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: portage-2.3.0

 games-board/pychess/pychess-0.12.3-r1.ebuild | 70 ++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)

diff --git a/games-board/pychess/pychess-0.12.3-r1.ebuild 
b/games-board/pychess/pychess-0.12.3-r1.ebuild
new file mode 100644
index 0000000..b7a1b95
--- /dev/null
+++ b/games-board/pychess/pychess-0.12.3-r1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit fdo-mime gnome2-utils distutils-r1
+
+DESCRIPTION="A chess client for Gnome"
+HOMEPAGE="http://pychess.org/";
+SRC_URI="http://pychess.org/download/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gstreamer"
+
+DEPEND="
+       dev-python/gconf-python
+       dev-python/librsvg-python
+       dev-python/pycairo[${PYTHON_USEDEP}]
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       dev-python/pygtk:2[${PYTHON_USEDEP}]
+       dev-python/pygtksourceview:2[${PYTHON_USEDEP}]
+       x11-libs/gtksourceview:3.0
+       x11-themes/gnome-icon-theme
+       gstreamer? ( dev-python/gst-python:0.10[${PYTHON_USEDEP}] )"
+RDEPEND=${DEPEND}
+
+python_install() {
+       distutils-r1_python_install
+
+       # bug 487706
+       sed -i \
+               -e "s/@PYTHON@/${EPYTHON}/" \
+               "${ED%/}/$(python_get_sitedir)"/${PN}/Players/engineNest.py || 
die
+}
+
+python_install_all() {
+       DOCS="AUTHORS README.md" \
+               distutils-r1_python_install_all
+}
+
+src_prepare() {
+       distutils-r1_src_prepare
+}
+
+src_compile() {
+       distutils-r1_src_compile
+}
+
+src_install() {
+       distutils-r1_src_install
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+       fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+       fdo-mime_desktop_database_update
+}

Reply via email to